import { defineConfig } from '@bole-core/core';

export default defineConfig({
  /**
   * @description 网页title
   */
  title: '乐遇保云服务',

  errorLog: 'production',

  loginFormTitle: '乐遇保云服务',
});

//tp:太平
type AppType = 'one' | 'rz' | 'jx' | 'jy' | 'other' | 'backup' | 'tp';

const AppSettingMap = {
  one: {
    title: '乐遇保云服务',
    loginFormTitle: '乐遇保云服务',
    MenuTitle: '乐遇保云服务',
  },
  rz: {
    title: '聚千保理赔管理工具',
    loginFormTitle: '聚千保理赔管理工具',
    MenuTitle: '聚千保理赔',
  },
  jx: {
    title: '江佑共保',
    loginFormTitle: '江佑共保',
    MenuTitle: '江佑共保',
  },
  jy: {
    title: '江佑省保',
    loginFormTitle: '江佑省保',
    MenuTitle: '江佑省保',
  },
  other: {
    title: '江佑保',
    loginFormTitle: '江佑保',
    MenuTitle: '江佑保',
  },
  backup: {
    title: '江佑保备用',
    loginFormTitle: '江佑保备用',
    MenuTitle: '江佑保备用',
  },
  tp: {
    title: '江佑共保后台管理系统',
    loginFormTitle: '江佑共保后台管理系统',
    MenuTitle: '江佑共保',
  },
};

export function getAppSetting(appType: AppType) {
  return AppSettingMap[appType];
}
